## mycompiler.myoperator
Class PlusOp

    java.lang.Object
      mycompiler.myoperator.Operator
          mycompiler.myoperator.AddOp
              mycompiler.myoperator.PlusOp

    public class PlusOp

extends AddOp

Constructor Summary
`PlusOp()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean neg, de.dhbwstuttgart.typeinference.Menge paralist)`

Methods inherited from class mycompiler.myoperator.AddOp
`TRExp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlusOp

    public PlusOp()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        Expr expr,
                        boolean neg,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `AddOp`
  Throws:
    `JVMCodeException`